<?
    $kinderuntersuchungen = array (
            array('name' => 'Kindervorsorgeuntersuchung U1', 'anzahl' => 1, 'datumname' => 'datumerwerb1'),
            array('name' => 'Kindervorsorgeuntersuchung U2', 'anzahl' => 1, 'datumname' => 'datumerwerb2'),
            array('name' => 'Kindervorsorgeuntersuchung U3', 'anzahl' => 1, 'datumname' => 'datumerwerb3'),
            array('name' => 'Kindervorsorgeuntersuchung U4', 'anzahl' => 1, 'datumname' => 'datumerwerb4'),
            array('name' => 'Kindervorsorgeuntersuchung U5', 'anzahl' => 1, 'datumname' => 'datumerwerb5'),
            array('name' => 'Kindervorsorgeuntersuchung U6', 'anzahl' => 1, 'datumname' => 'datumerwerb6'),
            array('name' => 'Kindervorsorgeuntersuchung U7', 'anzahl' => 1, 'datumname' => 'datumerwerb7'),
            array('name' => 'Kindervorsorgeuntersuchung U7a', 'anzahl' => 1, 'datumname' => 'datumerwerb7a'),
            array('name' => 'Kindervorsorgeuntersuchung U8', 'anzahl' => 1, 'datumname' => 'datumerwerb8'),
            array('name' => 'Kindervorsorgeuntersuchung U9', 'anzahl' => 1, 'datumname' => 'datumerwerb9'),
            array('name' => 'Kindervorsorgeuntersuchung U10', 'anzahl' => 1, 'datumname' => 'datumerwerb10'),
            array('name' => 'Kindervorsorgeuntersuchung U11', 'anzahl' => 1, 'datumname' => 'datumerwerb11'),
            array('name' => 'Kindervorsorgeuntersuchung J1', 'anzahl' => 1, 'datumname' => 'datumerwerb12'),
            array('name' => 'Kindervorsorgeuntersuchung J2', 'anzahl' => 1, 'datumname' => 'datumerwerb13')
    );
 
    $client = new user('',$userId);
    $client->konto = new konto($client->userId);
    $numBewegungen = count($client->konto->kontoBewegungen);
    $client->writeaddress($loggedIn->windowslogin,$loggedIn->name, $loggedIn->email);
    $fullfilledmassnahmen = Array();
    if (!empty($submitted)) {
        foreach ($client->konto->kontoBewegungen as $kontobewegung) {
            if ($kontobewegung->unterkategorie != 0) {
                $unterkategorie = unterkategorie::getUnterkategorieById($kontobewegung->unterkategorie);
                foreach ($kinderuntersuchungen as $requiredmassnahme) {
                    if ($requiredmassnahme['name'] == $unterkategorie->name) {
                        if (!isset($fullfilledmassnahmen[$unterkategorie->name])) {
                            $fullfilledmassnahmen[$unterkategorie->name] = 1;
                        }
                    }
                }
            }
        }


        /* Prüfe ob bereits Kinderbonus-Maßnahmen vergeben wurden */
        /* Trage die übrigen angekreuzten ein */
        if (sizeof($kucheck) >0) {
            for ($i=0; $i < sizeof($kucheck); $i++) {
                foreach ($kinderuntersuchungen as $kinderuntersuchung) {
                    $unterkategorie = unterkategorie::getUnterkategorieByName($kinderuntersuchung['name']); 
                    if (!$unterkategorie) {
                        $unterkategorie = unterkategorie::getUnterkategorieByName($kinderuntersuchung['name'],1); 
                    }
                    if (!empty($fullfilledmassnahmen[$unterkategorie->name])) {
# Diese Untersuchung ist bereits gebucht worden: Nächste
                        continue;
                    }
                    $kuchecked = $kucheck[$i];
                    if (preg_match("/^$kuchecked$/", $unterkategorie->name)) {
                        $erwerbsdatumname = $kinderuntersuchung['datumname'];
                        $erwerbsdatum = $$erwerbsdatumname;
                        $row = array();
                        $row['userId'] = $client->userId;
                        $row['kategorie'] = $unterkategorie->kategorie;
                        $row['unterkategorie'] = $unterkategorie->id;
                        $row['beschreibung'] = $unterkategorie->beschreibung;
                        $row['kommentar'] = $kommentar;
                        $row['datum'] = time();
                        $row['wert'] = $unterkategorie->punkte;
                        $row['datumerwerb'] = $erwerbsdatum;
                        $kontoBewegung = new kontobewegung($row);
                        $client->konto->addKontobewegung($kontoBewegung);
                        $numBewegungen++;
                        $loggedIn->log('addpoints', $client->userId);
                    }
                }
            }
        }
        $message = "Die Daten wurden eingetragen.";
    } else {
        $submitted = '';
    }
?>
<strong>Punktevergabe Kinder/Jugenduntersuchungen <? if (isset($message)) { print "<br/>$message"; } ?></strong><br><br>
<?
include('views/' . $module . '/addpoints.php'); 
?>
